Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 20-03-2019 10:32:11

capdefradeb
Membre
Distrib. : LMDE4 XFCE, LM20 Cinnamon, MX19.2
(G)UI : Cinnamon et XFCE
Inscription : 14-07-2016

Problèmes d'installation de LibreOffice dans MX18 et 17

En voulant installer sur deux vieux ordis portables âgés tous deux de 15 ans, une distri assez légère, j'ai essayé MX dans ses versions 17 et 18 et, dans les deux cas j'ai rencontré un pb concernant LibreOffice.
Il est préinstallé en version 6.XX mais lorsqu'on veut le franciser et installer le pack de langue française avec Synaptics, on constate que tous les outils disponibles relatifs à la langue française sont ceux pour LibreOffice 5.XX et qu'il n'y a pas ceux pour LibreOffice 6. Bien évidemment, si on essaie d'installer ceux qui sont proposés on obtient plusieurs messages d'erreur concernant des dépendances non satisfaites.
J'ai finalement désinstallé totalement LibreOffice 6 et réinstallé la version 5.XX dont les outils de langue sont fournis et là, tout est OK. Néanmoins je reste perplexe car je ne comprends pas la logique et l'intérêt de ce mélange de deux versions dans les dépots par défaut et l'installation d'une version 6 incomplète.
Y a-t-il une bonne solution pour remédier à celà?

Hors ligne

#2 20-03-2019 11:06:42

èfpé
Membre
Inscription : 10-07-2016

Re : Problèmes d'installation de LibreOffice dans MX18 et 17

Bonjour !

capdefradeb a écrit :

Y a-t-il une bonne solution pour remédier à cela ?


Sur un système Debian 9 bien cohérent, la version 6.x.x est fournie par le dépôt stretch-backports.

apt-cache policy libreoffice libreoffice-l10n-fr


Après « activation » dudit dépôt (il y a un outil facilitant, je crois), montrera les paquets disponibles.

Dernière modification par èfpé (21-03-2019 18:06:42)

Hors ligne

#3 20-03-2019 16:41:53

capdefradeb
Membre
Distrib. : LMDE4 XFCE, LM20 Cinnamon, MX19.2
(G)UI : Cinnamon et XFCE
Inscription : 14-07-2016

Re : Problèmes d'installation de LibreOffice dans MX18 et 17

Ce qui est étonnant, c'est que ces dépôts ne soient pas activés à partir du moment où le choix d'installer LibreOffice 6 a été fait.

Hors ligne

#4 21-03-2019 00:01:11

zorzi
Membre
Lieu : Dijon
Distrib. : Debian Stable Xfce
Noyau : Linux 4.19
Inscription : 30-09-2015

Re : Problèmes d'installation de LibreOffice dans MX18 et 17

En principe, tu peux franciser simplement Libreoffice depuis l'installateur de paquets MX dans => "applications populaires" => "langue".

Aucun problème chez moi. Ceci dit je te rejoins sur un point, la gestion de certains paquets chez la MX reste un sujet à controverse selon moi. L'épinglage des paquets m'échappe. Il me semble que leur version de Libreoffice 6.0 présente par défaut ne vient pas des backports mais a été rétroportée par l'équipe MX, d'où cette ambiguïté...

Je suis en revanche curieux de savoir comment tu as pu simplement installer Libreoffice 5 sans les problèmes de priorité induits par la conception de MX. J'avais du pour ma part créer des règles d'épinglage afin de pouvoir installer LO5 sans que le 6 ne revienne ensuite dans les mises à jour.

capdefradeb a écrit :

Ce qui est étonnant, c'est que ces dépôts ne soient pas activés à partir du moment où le choix d'installer LibreOffice 6 a été fait.



Pas de mise à jour automatique des backports dans un souci de stabilité visiblement...


Desktop: HP Pavilion a6435 (Athlon64 2x 2,6Ghz, Radeon R7-240, Ram 4 Go, DD 500 Go) / Debian Buster XFCE

Hors ligne

#5 21-03-2019 09:02:40

robert2a
Membre
Distrib. : debian 11
(G)UI : Mate
Inscription : 15-11-2014

Re : Problèmes d'installation de LibreOffice dans MX18 et 17

Bonjour
ceci n'est pas logique et certainement pas pour la stabilité

Pas de mise à jour automatique des backports dans un souci de stabilité visiblement...



un paquet des backports qui contient des bugs , une version corrigée qui est placé dans les backports en remplacement , ce paquet ne sera jamais mit a jour ?
debian est plus logique , tous "paquets installés" en provenance des backports sont mit à jour automatiquement
ce qui me semble plus approprié  roll

donc LibreOffice 6 ne sera jamais mit a jour sur MX , a mon avis c'est un oubli , du moment que certains paquets proviennent des backports , le dépôt doit être activé .
juste vérifier que la priorité soit inférieure a stable , ce qui ce fait sur debian
la commande apt-cache policy  va te donner le nom du dépôt ?
par exemple pour moi testing et sid


apt-cache policy libreoffice libreoffice-l10n-fr
 



libreoffice:
  Installé : 1:6.1.5-1
  Candidat : 1:6.1.5-1
 Table de version :
 *** 1:6.1.5-1 500
        500 https://deb.debian.org/debian buster/main amd64 Packages
        500 https://deb.debian.org/debian sid/main amd64 Packages
        100 /var/lib/dpkg/status
libreoffice-l10n-fr:
  Installé : 1:6.1.5-1
  Candidat : 1:6.1.5-1
 Table de version :
 *** 1:6.1.5-1 500
        500 https://deb.debian.org/debian buster/main amd64 Packages
        500 https://deb.debian.org/debian buster/main i386 Packages
        500 https://deb.debian.org/debian sid/main amd64 Packages
        500 https://deb.debian.org/debian sid/main i386 Packages
        100 /var/lib/dpkg/status
 


si c'est un dépôt de MX c'est correct , ils glisseront les mises a jour si nécessaire
dans l'autre cas "backports" , il faut les activer . (c'est un oubli )

Hors ligne

#6 21-03-2019 11:42:56

seb95
Membre
Distrib. : openSUSE Leap et Tumbleweed
(G)UI : GNOME, Xfce et KDE
Inscription : 19-02-2017
Site Web

Re : Problèmes d'installation de LibreOffice dans MX18 et 17

un paquet des backports qui contient des bugs , une version corrigée qui est placé dans les backports en remplacement , ce paquet ne sera jamais mit a jour ?
debian est plus logique , tous "paquets installés" en provenance des backports sont mit à jour automatiquement
ce qui me semble plus approprié  roll



En effet ce comportement est très curieux, debian a en effet un comportement bien plus propre. Je suis pas prés d'aller voir les "filles" de debian, je préfère rester sur la mère qui est plus de mon age.:D

Hors ligne

#7 21-03-2019 13:29:23

zorzi
Membre
Lieu : Dijon
Distrib. : Debian Stable Xfce
Noyau : Linux 4.19
Inscription : 30-09-2015

Re : Problèmes d'installation de LibreOffice dans MX18 et 17

Juste pour info. Chez moi:

$  apt-cache policy libreoffice libreoffice-l10n-fr
libreoffice:
  Installé : 1:6.0.1-1~bpo9+1
  Candidat : 1:6.0.1-1~bpo9+1
 Table de version :
 *** 1:6.0.1-1~bpo9+1 500
        500 https://mirrors.evowise.com/mxlinux-packages/mx/repo stretch/main amd64 Packages
        100 /var/lib/dpkg/status
     1:5.2.7-1+deb9u5 500
        500 http://ftp.fr.debian.org/debian stretch/main amd64 Packages
        500 http://security.debian.org stretch/updates/main amd64 Packages
     1:4.0.3-2~bpo70+1 500
        500 https://mirrors.evowise.com/mxlinux-packages/antix/stretch stretch/main amd64 Packages
libreoffice-l10n-fr:
  Installé : 1:6.0.1-1~bpo9+1
  Candidat : 1:6.0.1-1~bpo9+1
 Table de version :
 *** 1:6.0.1-1~bpo9+1 500
        500 https://mirrors.evowise.com/mxlinux-packages/mx/repo stretch/main amd64 Packages
        500 https://mirrors.evowise.com/mxlinux-packages/mx/repo stretch/main i386 Packages
        100 /var/lib/dpkg/status
     1:5.2.7-1+deb9u5 500
        500 http://ftp.fr.debian.org/debian stretch/main amd64 Packages
        500 http://ftp.fr.debian.org/debian stretch/main i386 Packages
        500 http://security.debian.org stretch/updates/main amd64 Packages
        500 http://security.debian.org stretch/updates/main i386 Packages
     1:4.0.3-2~bpo70+1 500
        500 https://mirrors.evowise.com/mxlinux-packages/antix/stretch stretch/main amd64 Packages
        500 https://mirrors.evowise.com/mxlinux-packages/antix/stretch stretch/main i386 Package



En définitive, la version de LO6 de MX a été backportée mais basculée dans leur dépôt MX. Ce que j'ignore encore, c'est si les paquets installés depuis les backports Stretch se mettent à jour automatiquement ou pas... Je n'en utilise pas, pour ma part. Les backports Stretch y sont désactivés par défaut, mais ne s'activent que lors de l'installation de paquets en provenance des backports (depuis l'installateur de paquets MX). Je pense qu'il faut les mettre à jour manuellement par la suite.

Dernière modification par zorzi (21-03-2019 13:34:17)


Desktop: HP Pavilion a6435 (Athlon64 2x 2,6Ghz, Radeon R7-240, Ram 4 Go, DD 500 Go) / Debian Buster XFCE

Hors ligne

#8 21-03-2019 14:21:37

capdefradeb
Membre
Distrib. : LMDE4 XFCE, LM20 Cinnamon, MX19.2
(G)UI : Cinnamon et XFCE
Inscription : 14-07-2016

Re : Problèmes d'installation de LibreOffice dans MX18 et 17

L'installation est récente et donc je ne sais pas encore ce qui va se passer lors  des futures mises à  jour mais c'était pour le vieil ordi d'un jeune maraîcher qui n'a pas d'argent et avait absolument besoin à  titre  pro d'une suite bureautique en français et donc je lui ai fait fonctionner  une version 5 totalement francisée sans problème. Si ça merde par la suite au niveau des mises  à jour, je lui redonnerai un coup de main.

Hors ligne

#9 21-03-2019 15:03:10

robert2a
Membre
Distrib. : debian 11
(G)UI : Mate
Inscription : 15-11-2014

Re : Problèmes d'installation de LibreOffice dans MX18 et 17

Bonjour

@zorzi

j'ai rien dit , c'est correct , pour donner un peu de "jeun's" ils mettent des paquets des backports a l'installation de l'OS et pour garder les mises a jours a partir de leur dépôts avec une priorité normale
si une utilisation des backports de debian , il faut activer le dépôt.
moi personnellement je ne garde que les dépôt de debian "stable" et ceux de MX et je supprime les lignes des backports

je déconseille l'utilisation des backports pour debian si possible , alors sur MX qui se veut légère et pour machines anciennes (si j'ai bien compris tongue ) aucune raison de les utiliser .
si je comprend bien la grosse différence avec debian c'est l'absence de systemd  smile

ps: j'ai vue une vidéo sur MX (humm la mémoire.... ) il y a quelque temps , dans le bar ici sur D_F que j'ai trouvé un peu sévère et pas trop justifié.
ps: si je confond pas de distribution , méfiance  roll  hmm

ici (la vidéo en #34)  => https://debian-facile.org/viewtopic.php … 55#p295655   ( pas dans le bar mais dans "les logiciels libres" )

Dernière modification par robert2a (21-03-2019 15:11:02)

Hors ligne

#10 21-03-2019 18:04:42

èfpé
Membre
Inscription : 10-07-2016

Re : Problèmes d'installation de LibreOffice dans MX18 et 17

Bonjour,

capdefradeb a écrit :

Ce qui est étonnant, c'est que ces dépôts ne soient pas activés à partir du moment où le choix d'installer LibreOffice 6 a été fait.


Oups, désolé pour le bruit de fond ; activer le dépôt stretch-backports ajoute un peu de confusion :

apt-cache policy libreoffice libreoffice-l10n-fr

libreoffice:
  Installé : (aucun)
  Candidat : 1:6.0.1-1~bpo9+1
 Table de version :
     1:6.1.5~rc1-2~bpo9+1 100
        100 http://deb.debian.org/debian stretch-backports/main amd64 Packages
     1:6.0.1-1~bpo9+1 500
        500 http://la.mxrepo.com/mx/repo stretch/main amd64 Packages
     1:5.2.7-1+deb9u5 500
        500 http://deb.debian.org/debian stretch/main amd64 Packages
        500 http://security.debian.org stretch/updates/main amd64 Packages
     1:4.0.3-2~bpo70+1 500
        500 http://la.mxrepo.com/antix/stretch stretch/main amd64 Packages
libreoffice-l10n-fr:
  Installé : (aucun)
  Candidat : 1:6.0.1-1~bpo9+1
 Table de version :
     1:6.1.5~rc1-2~bpo9+1 100
        100 http://deb.debian.org/debian stretch-backports/main amd64 Packages
        100 http://deb.debian.org/debian stretch-backports/main i386 Packages
     1:6.0.1-1~bpo9+1 500
        500 http://la.mxrepo.com/mx/repo stretch/main amd64 Packages
        500 http://la.mxrepo.com/mx/repo stretch/main i386 Packages
     1:5.2.7-1+deb9u5 500
        500 http://deb.debian.org/debian stretch/main amd64 Packages
        500 http://deb.debian.org/debian stretch/main i386 Packages
        500 http://security.debian.org stretch/updates/main amd64 Packages
        500 http://security.debian.org stretch/updates/main i386 Packages
     1:4.0.3-2~bpo70+1 500
        500 http://la.mxrepo.com/antix/stretch stretch/main amd64 Packages
        500 http://la.mxrepo.com/antix/stretch stretch/main i386 Packages
 


MX Linux n'est pas une DFLinux-like, pour pouvoir aider il faut impérativement disposer d'une ISO...

Hors ligne

Pied de page des forums